
MinstrelMentorCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function MinstrelMentorCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the MinstrelMentor Window");
		MinstrelMentorWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the MinstrelMentor Window");
		MinstrelMentorWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
	elseif ( arguments == "lock" ) then
		--Turbine.Shell.WriteLine("Hide the PopoHelper Window");
		if(settings.isLocked == false)then
			settings.isLocked = true;
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginLocked);
		else
			settings.isLocked = false;
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginUnlocked);
		end
		SaveSettings();
	elseif ( arguments == "default" ) then
		--Turbine.Shell.WriteLine("default the YulHelperWindow");
		settings.shortcutData_1 = "0x7000C78B"; -- morceaux de fruit pourrit non theatre
		settings.shortcutData_2 = "0x7000C787"; -- ptale de fleurs de rivegel
		settings.shortcutData_3 = "0x7002B5AF"; -- morceaux de fruit pourri pour le theatre
		settings.shortcutData_4 = "0x7000C788"; -- boule de neige parfaite pour l'instance
		settings.shortcutData_5 = "0x7000C789"; -- boule de neige parfaite pour concours de boule de neige
		centerQS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_1 ) );
		centerQS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_2 ) );
		centerQS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_3 ) );
		centerQS4:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_4 ) );
		centerQS5:SetShortcut( Turbine.UI.Lotro.Shortcut( 6, settings.shortcutData_5 ) );
		SaveSettings();
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine("clear the Minstrel Mentor Window");
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		settings.shortcutData_5 = tostring(""); 
		settings.shortcutData_6 = tostring("");
		settings.shortcutData_7 = tostring(""); 
		settings.shortcutData_8 = tostring(""); 
		settings.shortcutData_9 = tostring(""); 
		settings.shortcutData_10 = tostring(""); 
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Mi;MinstrelMentor", MinstrelMentorCommand );